Bug 14025 - Fix 856u-links in the OPAC for NORMARC
Summary: Fix 856u-links in the OPAC for NORMARC
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Magnus Enger
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-20 15:54 UTC by Magnus Enger
Modified: 2016-12-05 21:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14025 - Fix 865u-links in the OPAC for NORMARC (10.77 KB, patch)
2015-04-29 19:56 UTC, Magnus Enger
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14025 - Fix 865u-links in the OPAC for NORMARC (10.94 KB, patch)
2015-05-16 18:09 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14025 - Fix 865u-links in the OPAC for NORMARC (11.04 KB, patch)
2015-05-22 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2015-04-20 15:54:06 UTC
NORMARC XSLT does not support OPACURLOpenInNewWindow. It should.
Comment 1 Magnus Enger 2015-04-29 19:56:35 UTC Comment hidden (obsolete)
Comment 2 Magnus Enger 2015-04-29 19:58:05 UTC
The scope of this bug changed a bit after I made the first comment, please disregard it.
Comment 3 Magnus Enger 2015-05-11 06:52:37 UTC
(In reply to Magnus Enger from comment #2)
> The scope of this bug changed a bit after I made the first comment, please
> disregard it.

...where "it" = the first comment (not the bug and the patch :-).
Comment 4 Bernardo Gonzalez Kriegel 2015-05-16 18:09:49 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2015-05-22 14:07:16 UTC
Created attachment 39409 [details] [review]
Bug 14025 - Fix 865u-links in the OPAC for NORMARC

The display of links found in 856$u for NORMARC has not been keeping up with
the one for MARC21, and several sysprefs have not been implemented. This
patch tries to fix that.

Affected sysprefs:
- OPACURLOpenInNewWindow
- URLLinkText
- OPACDisplay856uAsImage
- OPACTrackClicks

To test:
- Make sure you have a record with a URL in 856$u and marcflavor = NORMARC.
  (It does not have to be a full NORMARC setup or a NORMARC record, just make
  sure you are viewing the record through the NORMARC XSLT files.)
- View the record both in a result list and in detail view
- Check that the 4 involved sysprefs affect the display in the expected ways

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Tested on NORMARC setup and XSLTs
Works as described, each syspref works
No koha-qa errors

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Since it only affects NORMAC, I trust in Magnus :)
Comment 6 Tomás Cohen Arazi 2015-05-26 14:08:20 UTC
Patch pushed to master.

Thanks Magnus!
Comment 7 Chris Cormack 2015-05-27 08:12:19 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 8 Liz Rea 2015-06-22 22:36:57 UTC
Patch pushed to 3.18.x will be in 3.18.08
Comment 9 Mason James 2015-07-25 04:27:33 UTC
(In reply to Liz Rea from comment #8)
> Patch pushed to 3.18.x will be in 3.18.08

hmm, i get a conflict on 3.16.x, will skip this patch for now..